Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 228427

Summary: reenable apt-get mirror-select?
Product: [Fedora] Fedora Reporter: Chris Weyl <cweyl>
Component: aptAssignee: Dridi Boukelmoune <dridi.boukelmoune>
Status: ASSIGNED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: medium    
Version: rawhideCC: axel.thimm, triage
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 512518    
Bug Blocks:    

Description Chris Weyl 2007-02-13 03:43:20 UTC
As described in bug 161042, the mirror-select script was removed from the Extras
apt package due to a lack of Fedora mirrors.  Since apt has repomd support now,
is it appropriate to think about reenabling this functionality?

Comment 1 Panu Matilainen 2007-02-13 07:42:23 UTC
Thinking about is certainly appropriate :) We can't really use the old
mirror-select script as it was, but something similar in functionality would be
nice. Only it should use the existing fedora-mirror lists and it certainly could
be smarter than the old one anyway.

Anyway, it's not just a simple matter of re-enabling the script, more work is
needed.

Comment 2 Axel Thimm 2007-02-15 22:27:27 UTC
Is this an "upstream" request? I'm swapping the Cc:/Assigned: roles. :)

Comment 3 Panu Matilainen 2007-02-16 06:30:21 UTC
Yeah, I would say it's an upstream request. Unless of course you want to do a
little bit of Lua-hacking yourself :) Modifying the existing mirror-select to
use the official mirror-lists (eg
http://fedora.redhat.com/download/mirrors/fedora-core-6) instead of it's own
(very stupid ATM) format shouldn't be hard. 

Comment 4 Bug Zapper 2008-04-04 06:12:51 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 5 Fedora Admin XMLRPC Client 2015-03-03 13:09:42 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora Admin XMLRPC Client 2020-01-15 16:04:31 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.